ScanopyScanopy
Credentials

Create a new Credential

Creates a credential scoped to your organization.

POST
/api/v1/credentials

Authorization

Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/credentials" \  -H "Content-Type: application/json" \  -d '{    "assigned_network_ids": [      "73556956-4d32-4238-97f8-e2ffc04ecc1e"    ],    "credential_type": {      "community": {        "mode": "Inline",        "value": "string"      },      "type": "SnmpV1"    },    "host_assignments": [      {        "host_id": "eb4e20fc-2b4a-4d0c-811f-48abcf12b89b",        "ip_address_ids": [          "c2bc70c8-b7ad-480c-92cd-16dcad15753f"        ]      }    ],    "name": "string",    "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",    "tags": [      "a424dc99-d215-4281-ad2d-a3a9bc179925"    ]  }'
{
  "meta": {
    "api_version": 1,
    "server_version": "0.17.14"
  },
  "success": true,
  "data": {
    "assigned_network_ids": [
      "73556956-4d32-4238-97f8-e2ffc04ecc1e"
    ],
    "credential_type": {
      "community": {
        "mode": "Inline",
        "value": "string"
      },
      "type": "SnmpV1"
    },
    "host_assignments": [
      {
        "host_id": "eb4e20fc-2b4a-4d0c-811f-48abcf12b89b",
        "ip_address_ids": [
          "c2bc70c8-b7ad-480c-92cd-16dcad15753f"
        ]
      }
    ],
    "name": "string",
    "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
    "tags": [
      "a424dc99-d215-4281-ad2d-a3a9bc179925"
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "error": "string"
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.17.14"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}